javax.resource.spi.work

## Class TransactionContext

- java.lang.Object
- - javax.resource.spi.work.ExecutionContext
  - - javax.resource.spi.work.TransactionContext

- All Implemented Interfaces:
    Serializable, WorkContext

      public class TransactionContext
      extends ExecutionContext
      implements WorkContext

  A standard `WorkContext` that allows a `Work` instance to propagate transaction related context information from an EIS to an application server.

  This class extends `ExecutionContext` so that a resource adapter developer could migrate their existing code from `ExecutionContext` to `TransactionContext` easily.

  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6
  See Also:
    `WorkContext`, `ExecutionContext`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Get the brief description of the role played by the `WorkContext` and any other related debugging information.
    `String` | `getName()` Get the associated name of the `WorkContext`.

    - ### Methods inherited from class javax.resource.spi.work.ExecutionContext

      `getTransactionTimeout, getXid, setTransactionTimeout, setXid`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionContext

          public TransactionContext()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Get the brief description of the role played by the `WorkContext` and any other related debugging information. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Specified by:
        `getDescription` in interface `WorkContext`
      Returns:
        the associated description of the `WorkContext`

    - #### getName

          public String getName()

      Get the associated name of the `WorkContext`. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Specified by:
        `getName` in interface `WorkContext`
      Returns:
        the associated name of the `WorkContext`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.